/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.list.constants;

/**
 * @author Jürgen Kappler
 */
public class AssetListEntryTypeConstants {

	public static final int TYPE_DYNAMIC = 0;

	public static final String TYPE_DYNAMIC_LABEL = "dynamic";

	public static final int TYPE_MANUAL = 1;

	public static final String TYPE_MANUAL_LABEL = "manual";

	public static String getTypeLabel(int type) {
		if (type == TYPE_DYNAMIC) {
			return TYPE_DYNAMIC_LABEL;
		}
		else if (type == TYPE_MANUAL) {
			return TYPE_MANUAL_LABEL;
		}

		return null;
	}

}